はじめまして大石と申します。
最近Rubyを学び始めた者です^^
以前からZWiki等使っていたのですが、Rubyで書かれたWikiCloneがあると知り
さっそく導入しようと試してみました・・・・が、ど〜〜〜〜しても

Internal Server Error

でうまく結果が出せないようです。。。。
apatchのエラーログには

Premature end of script headers: /home/foo/public_html/cgi-bin/rw.cgi

となってそれ以外のエラーログはありません。

まずはじめにUNIXUSER 2002.2号にRWikiの特集をしていたのでそれを参考に
導入したのですが、上記のエラーでうまくいかないので、
公式サイトに書かれてるインストール手順にしたがってどうしてみました・・・。が
結果は同じ。(^^;

RWiki-Installerなんて楽ちんなものがあると知り、今までインストールしたライブ
ラリをいちおう削除して
ユーザディレクトリ上で試してみましたが、やっぱり結果は同じです・・・。

RAAにある最新の物を取ってきて(自動でRWiki-installerでも)インストールしてい
るのですが、ライブラリのバージョンによって動かない
場合とかあるのでしょうか!?

ruby 1.6.7
rwiki-1.2.4
drb-1.3.8
erb-1.4.3
optparse-0.10.1
racc-1.4.1-all
rdtool-0.6.12

rw-cgi.rb rw-config も適切に設定してハズですし、
ruby -Ke rwiki.rb
もデーモンとしてエラーもなく起動しています。ただ
-dvオプションを指定して実行した場合
visitor.rb:78: warning: discarding old visit_Reference
labeled-element.rb:6: warning: instance variable @label not initialized
とでますが無視してもいいものだと思ったのできにしてないのですが、いいのかな・
・・・(^^;

他のCGIスクリプトだと正常に動くのでいったいどこに問題があるのかさっぱり見当
がつきません。。
お気づきの点があれば、よろしくお願いします^^